CVE-2002-1574
CVSS4.6
发布时间 :2004-03-03 00:00:00
修订时间 :2008-09-05 16:30:57
NMCO    

[原文]Buffer overflow in the ixj telephony card driver in Linux before 2.4.20 has unknown impact and attack vectors.


[CNNVD]Linux IXJ电话卡驱动2.4内核权限提升漏洞(CNNVD-200403-033)

        
        Linux 2.4 kernel是开放源代码的Linux内核系统。
        Linux 2.4内核的ixj电话卡驱动存在问题,本地攻击者可以利用这个漏洞进行权限提升攻击。
        Linux 2.4内核中的ixj电话卡驱动存在未明漏洞可导致权限提升。目前没有详细的漏洞细节描述。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:linux:linux_kernel:2.4.16Linux Kernel 2.4.16
cpe:/o:linux:linux_kernel:2.4.1Linux Kernel 2.4.1
cpe:/o:linux:linux_kernel:2.4.6Linux Kernel 2.4.6
cpe:/o:linux:linux_kernel:2.4.17Linux Kernel 2.4.17
cpe:/o:linux:linux_kernel:2.4.14Linux Kernel 2.4.14
cpe:/o:linux:linux_kernel:2.4.7Linux Kernel 2.4.7
cpe:/o:linux:linux_kernel:2.4.10Linux Kernel 2.4.10
cpe:/o:linux:linux_kernel:2.4.18:pre4Linux Kernel 2.4.18 pre4
cpe:/o:linux:linux_kernel:2.4.11Linux Kernel 2.4.11
cpe:/o:linux:linux_kernel:2.4.18:pre5Linux Kernel 2.4.18 pre5
cpe:/o:linux:linux_kernel:2.4.4Linux Kernel 2.4.4
cpe:/o:linux:linux_kernel:2.4.13Linux Kernel 2.4.13
cpe:/o:linux:linux_kernel:2.4.18:pre8Linux Kernel 2.4.18 pre8
cpe:/o:linux:linux_kernel:2.4.18:pre1Linux Kernel 2.4.18 pre1
cpe:/o:linux:linux_kernel:2.4.18:pre6Linux Kernel 2.4.18 pre6
cpe:/o:linux:linux_kernel:2.4.9Linux Kernel 2.4.9
cpe:/o:linux:linux_kernel:2.4.8Linux Kernel 2.4.8
cpe:/o:linux:linux_kernel:2.4.18Linux Kernel 2.4.18
cpe:/o:linux:linux_kernel:2.4.18:pre3Linux Kernel 2.4.18 pre3
cpe:/o:linux:linux_kernel:2.4.5Linux Kernel 2.4.5
cpe:/o:linux:linux_kernel:2.4.18:pre2Linux Kernel 2.4.18 pre2
cpe:/o:linux:linux_kernel:2.4.12Linux Kernel 2.4.12
cpe:/o:linux:linux_kernel:2.4.18:pre7Linux Kernel 2.4.18 pre7
cpe:/o:linux:linux_kernel:2.4.15Linux Kernel 2.4.15
cpe:/o:linux:linux_kernel:2.4.2Linux Kernel 2.4.2
cpe:/o:linux:linux_kernel:2.4.3Linux Kernel 2.4.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1574
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1574
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200403-033
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5985
(VENDOR_ADVISORY)  BID  5985
http://www.redhat.com/support/errata/RHSA-2004-044.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2004:044
http://xforce.iss.net/xforce/xfdb/10417
(VENDOR_ADVISORY)  XF  linux-ixj-root-privileges(10417)
http://www.redhat.com/support/errata/RHSA-2004-106.html
(UNKNOWN)  REDHAT  RHSA-2004:106
http://www.redhat.com/support/errata/RHSA-2002-206.html
(UNKNOWN)  REDHAT  RHSA-2002:206
http://www.redhat.com/support/errata/RHSA-2002-205.html
(UNKNOWN)  REDHAT  RHSA-2002:205
http://www.ciac.org/ciac/bulletins/n-096.shtml
(UNKNOWN)  CIAC  N-096

- 漏洞信息

Linux IXJ电话卡驱动2.4内核权限提升漏洞
中危 未知
2004-03-03 00:00:00 2006-11-02 00:00:00
本地  
        
        Linux 2.4 kernel是开放源代码的Linux内核系统。
        Linux 2.4内核的ixj电话卡驱动存在问题,本地攻击者可以利用这个漏洞进行权限提升攻击。
        Linux 2.4内核中的ixj电话卡驱动存在未明漏洞可导致权限提升。目前没有详细的漏洞细节描述。
        

- 公告与补丁

        厂商补丁:
        RedHat
        ------
        RedHat已经为此发布了一个安全公告(RHSA-2002:206-12)以及相应补丁:
        RHSA-2002:206-12:New kernel fixes local security issues
        链接:https://www.redhat.com/support/errata/RHSA-2002-206.html
        补丁下载:
        Red Hat Linux 7.3:
        SRPMS:
        ftp://updates.redhat.com/7.3/en/os/SRPMS/kernel-2.4.18-17.7.x.src.rpm
        ftp://updates.redhat.com/7.3/en/os/SRPMS/hwdata-0.14.1-1.src.rpm
        ftp://updates.redhat.com/7.3/en/os/SRPMS/modutils-2.4.18-3.7x.src.rpm
        athlon:
        ftp://updates.redhat.com/7.3/en/os/athlon/kernel-2.4.18-17.7.x.athlon.rpm
        ftp://updates.redhat.com/7.3/en/os/athlon/kernel-smp-2.4.18-17.7.x.athlon.rpm
        i386:
        ftp://updates.redhat.com/7.3/en/os/i386/kernel-2.4.18-17.7.x.i386.rpm
        ftp://updates.redhat.com/7.3/en/os/i386/kernel-source-2.4.18-17.7.x.i386.rpm
        ftp://updates.redhat.com/7.3/en/os/i386/kernel-doc-2.4.18-17.7.x.i386.rpm
        ftp://updates.redhat.com/7.3/en/os/i386/kernel-BOOT-2.4.18-17.7.x.i386.rpm
        ftp://updates.redhat.com/7.3/en/os/i386/modutils-2.4.18-3.7x.i386.rpm
        i586:
        ftp://updates.redhat.com/7.3/en/os/i586/kernel-2.4.18-17.7.x.i586.rpm
        ftp://updates.redhat.com/7.3/en/os/i586/kernel-smp-2.4.18-17.7.x.i586.rpm
        i686:
        ftp://updates.redhat.com/7.3/en/os/i686/kernel-2.4.18-17.7.x.i686.rpm
        ftp://updates.redhat.com/7.3/en/os/i686/kernel-smp-2.4.18-17.7.x.i686.rpm
        ftp://updates.redhat.com/7.3/en/os/i686/kernel-bigmem-2.4.18-17.7.x.i686.rpm
        ftp://updates.redhat.com/7.3/en/os/i686/kernel-debug-2.4.18-17.7.x.i686.rpm
        noarch:
        ftp://updates.redhat.com/7.3/en/os/noarch/hwdata-0.14.1-1.noarch.rpm
        Red Hat Linux 8.0:
        SRPMS:
        ftp://updates.redhat.com/8.0/en/os/SRPMS/kernel-2.4.18-17.8.0.src.rpm
        ftp://updates.redhat.com/8.0/en/os/SRPMS/hwdata-0.48-1.src.rpm
        athlon:
        ftp://updates.redhat.com/8.0/en/os/athlon/kernel-2.4.18-17.8.0.athlon.rpm
        ftp://updates.redhat.com/8.0/en/os/athlon/kernel-smp-2.4.18-17.8.0.athlon.rpm
        i386:
        ftp://updates.redhat.com/8.0/en/os/i386/kernel-2.4.18-17.8.0.i386.rpm
        ftp://updates.redhat.com/8.0/en/os/i386/kernel-source-2.4.18-17.8.0.i386.rpm
        ftp://updates.redhat.com/8.0/en/os/i386/kernel-doc-2.4.18-17.8.0.i386.rpm
        ftp://updates.redhat.com/8.0/en/os/i386/kernel-BOOT-2.4.18-17.8.0.i386.rpm
        i586:
        ftp://updates.redhat.com/8.0/en/os/i586/kernel-2.4.18-17.8.0.i586.rpm
        ftp://updates.redhat.com/8.0/en/os/i586/kernel-smp-2.4.18-17.8.0.i586.rpm
        i686:
        ftp://updates.redhat.com/8.0/en/os/i686/kernel-2.4.18-17.8.0.i686.rpm
        ftp://updates.redhat.com/8.0/en/os/i686/kernel-smp-2.4.18-17.8.0.i686.rpm
        ftp://updates.redhat.com/8.0/en/os/i686/kernel-bigmem-2.4.18-17.8.0.i686.rpm
        ftp://updates.redhat.com/8.0/en/os/i686/kernel-debug-2.4.18-17.8.0.i686.rpm
        noarch:
        ftp://updates.redhat.com/8.0/en/os/noarch/hwdata-0.48-1.noarch.rpm
        可使用下列命令安装补丁:
        rpm -Fvh [文件名]

- 漏洞信息

14553
Linux ixj Telephony Card Driver Unspecified Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-10-15 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站